StableOps
API reference

Retrieve a spending policy version

GET/v1/agent-payments/agents/{agentId}/policy-versions/{versionId}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/agent-payments/agents/{agentId}/policy-versions/{versionId}"
{
  "id": "string",
  "agent_id": "string",
  "version": 1,
  "document": {
    "network": "eip155:1",
    "asset": {
      "symbol": "USDC",
      "contract_address": "stringstringstringstringstringst"
    },
    "allowed_origins": [
      "string"
    ],
    "allowed_pay_to": [
      "stringstringstringstringstringst"
    ],
    "automatic_payment_threshold_atomic": "string",
    "per_payment_limit_atomic": "string",
    "agent_daily_limit_atomic": "string",
    "require_approval_for_unknown_origin": true,
    "require_approval_for_unknown_pay_to": true
  },
  "document_hash": "string",
  "created_by": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "activated_at": "2019-08-24T14:15:22Z",
  "superseded_at": "2019-08-24T14:15:22Z"
}
Empty

How is this guide?

Last updated